package com.govmade.common.utils;

import java.util.Date;

import org.apache.ibatis.reflection.MetaObject;

import com.baomidou.mybatisplus.mapper.MetaObjectHandler;
import com.govmade.modules.system.entity.UserEntity;

import cn.hutool.core.date.DateUtil;

public class MyMetaObjectHandler extends MetaObjectHandler {

	@Override
	public void insertFill(MetaObject metaObject) {
		
		//获取当前登录用户
		UserEntity ue = new UserEntity();
		ue.setId(1L);
		// 获取当前时间
		Date date = DateUtil.date();
		
		metaObject.setValue("createBy", ue.getId());
		metaObject.setValue("modifyBy", ue.getId());
		metaObject.setValue("createTime", date);
		metaObject.setValue("modifyTime", date);
		setFieldValByName("state", 1, metaObject);
	}

	@Override
	public void updateFill(MetaObject metaObject) {

		//获取当前登录用户
		UserEntity ue = new UserEntity();
		ue.setId(1L);
		// 获取当前时间
		Date date = DateUtil.date();
		metaObject.setValue("modifyBy", ue.getId());
		metaObject.setValue("modifyTime", date);
	}

}
